How do I enable support for ECMA 6?

Hi!

Sorry for the noobie question, but I can't this thing to cooperate.  I'm working with some ECMA 6 files, and the syntax highlighter is treating it like older javascript.  I've set the javascript library to ECMAScript 6 under preferences > languages & frameworks > javascript, but that didn't work.  

How do it fix this?

Thanks!

3 comments
Comment actions Permalink

Please make sure to set 'JavaScript language version' ( Preferences > Languages & frameworks > Javascript) to either 'ECMAScript 6' or 'JSX Harmony'

9
Comment actions Permalink

Setting the JavaScript version worked for other files but not that first one... good enough for me!

0
Comment actions Permalink

what is this first one? Is it a .js file, or HTML with embedded js, or?

0

Please sign in to leave a comment.